module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


// components/player/player.js
var _windowWidth = wx.getSystemInfoSync().windowWidth;

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    //  组件的pubID
    pubID: {
      type: String,
      value: ""
    },
    //  组件显示区域的宽度
    width: {
      type: Number,
      value: _windowWidth
    },
    //  组件显示区域的高度
    height: {
      type: Number,
      value: 0
    },
    enableAudio: {
      type: Boolean,
      value: true
    },
    playURL: {
      type: String,
      value: ""
    }
  },

  ready: function ready() {
    this.setData({
      playerContext: wx.createLivePlayerContext(this.data.pubID, this)
    });
  },


  /**
   * 组件的初始数据
   */
  data: {
    playerContext: null
  },

  /**
   * 组件的方法列表
   */
  methods: {
    onPlay: function onPlay(e) {
      this.triggerEvent('playStatus', {
        pubID: e.currentTarget.id,
        code: e.detail.code
      }, {});
    },


    //暂停 参考 https://developers.weixin.qq.com/miniprogram/dev/api/media/live/LivePlayerContext.pause.html
    pause: function pause(obj) {
      this.data.playerContext || wx.createLivePlayerContext(this.data.pubID, this);

      this.data.playerContext.pause(obj);
    },


    //播放 参考 https://developers.weixin.qq.com/miniprogram/dev/api/media/live/LivePlayerContext.play.html
    play: function play(obj) {
      this.data.playerContext || wx.createLivePlayerContext(this.data.pubID, this);

      this.data.playerContext.play(obj);
    },


    //禁音 参考 https://developers.weixin.qq.com/miniprogram/dev/api/media/live/LivePlayerContext.mute.html
    mute: function mute(obj) {
      this.data.playerContext || wx.createLivePlayerContext(this.data.pubID, this);

      this.data.playerContext.mute(obj);
    },


    //全屏 参考https://developers.weixin.qq.com/miniprogram/dev/api/media/live/LivePlayerContext.requestFullScreen.html
    requestFullScreen: function requestFullScreen(obj) {
      this.data.playerContext || wx.createLivePlayerContext(this.data.pubID, this);

      this.data.playerContext.requestFullScreen(obj);
    },

    //退出全屏 参考https://developers.weixin.qq.com/miniprogram/dev/api/media/live/LivePlayerContext.exitFullScreen.html
    exitFullScreen: function exitFullScreen(obj) {
      this.data.playerContext || wx.createLivePlayerContext(this.data.pubID, this);

      this.data.playerContext.exitFullScreen(obj);
    }
  }
});

/***/ })
/******/ ]);